## MMBearerStats

MMBearerStats — Helper object to handle bearer stats.

## Functions

guint | mm_bearer_stats_get_duration ()
guint64 | mm_bearer_stats_get_start_date ()
guint64 | mm_bearer_stats_get_rx_bytes ()
guint64 | mm_bearer_stats_get_tx_bytes ()
guint | mm_bearer_stats_get_attempts ()
guint | mm_bearer_stats_get_failed_attempts ()
guint | mm_bearer_stats_get_total_duration ()
guint64 | mm_bearer_stats_get_total_rx_bytes ()
guint64 | mm_bearer_stats_get_total_tx_bytes ()
guint64 | mm_bearer_stats_get_uplink_speed ()
guint64 | mm_bearer_stats_get_downlink_speed ()

## Types and Values

struct | MMBearerStats

## Object Hierarchy

        GObject
        ╰── MMBearerStats

## Description

The MMBearerStats is an object handling the statistics reported by the bearer object during a connection.

This object is retrieved with either `mm_bearer_get_stats()` or `mm_bearer_peek_stats()`.

## Functions

### mm_bearer_stats_get_duration ()

    guint
    mm_bearer_stats_get_duration (MMBearerStats *self);

Gets the duration of the current connection, in seconds.

#### Parameters

self | a MMBearerStats. |

#### Returns

a guint.

Since: 1.6

### mm_bearer_stats_get_start_date ()

    guint64
    mm_bearer_stats_get_start_date (MMBearerStats *self);

Gets the start date of the current connection as a timestamp in seconds since the epoch.

#### Parameters

self | a MMBearerStats. |

#### Returns

a guint64.

Since: 1.20

### mm_bearer_stats_get_rx_bytes ()

    guint64
    mm_bearer_stats_get_rx_bytes (MMBearerStats *self);

Gets the number of bytes received without error in the connection.

#### Parameters

self | a MMBearerStats. |

#### Returns

a guint64.

Since: 1.6

### mm_bearer_stats_get_tx_bytes ()

    guint64
    mm_bearer_stats_get_tx_bytes (MMBearerStats *self);

Gets the number of bytes transmitted without error in the connection.

#### Parameters

self | a MMBearerStats. |

#### Returns

a guint64.

Since: 1.6

### mm_bearer_stats_get_attempts ()

    guint
    mm_bearer_stats_get_attempts (MMBearerStats *self);

Gets the number of connection attempts done with this bearer.

#### Parameters

self | a MMBearerStats. |

#### Returns

a guint.

Since: 1.14

### mm_bearer_stats_get_failed_attempts ()

    guint
    mm_bearer_stats_get_failed_attempts (MMBearerStats *self);

Gets the number of failed connection attempts done with this bearer.

#### Parameters

self | a MMBearerStats. |

#### Returns

a guint.

Since: 1.14

### mm_bearer_stats_get_total_duration ()

    guint
    mm_bearer_stats_get_total_duration (MMBearerStats *self);

Gets the total duration of all the connections of this bearer.

#### Parameters

self | a MMBearerStats. |

#### Returns

a guint.

Since: 1.14

### mm_bearer_stats_get_total_rx_bytes ()

    guint64
    mm_bearer_stats_get_total_rx_bytes (MMBearerStats *self);

Gets the total number of bytes received without error during all the connections of this bearer.

#### Parameters

self | a MMBearerStats. |

#### Returns

a guint64.

Since: 1.14

### mm_bearer_stats_get_total_tx_bytes ()

    guint64
    mm_bearer_stats_get_total_tx_bytes (MMBearerStats *self);

Gets the total number of bytes transmitted without error during all the connections of this bearer.

#### Parameters

self | a MMBearerStats. |

#### Returns

a guint64.

Since: 1.14

### mm_bearer_stats_get_uplink_speed ()

    guint64
    mm_bearer_stats_get_uplink_speed (MMBearerStats *self);

Gets the speed of the uplink, in bits per second.

#### Parameters

self | a MMBearerStats. |

#### Returns

a guint64.

Since: 1.20

### mm_bearer_stats_get_downlink_speed ()

    guint64
    mm_bearer_stats_get_downlink_speed (MMBearerStats *self);

Gets the speed of the downlink, in bits per second.

#### Parameters

self | a MMBearerStats. |

#### Returns

a guint64.

Since: 1.20

## Types and Values

### struct MMBearerStats

    struct MMBearerStats;

The MMBearerStats structure contains private data and should only be accessed using the provided API.